Skip to main content
PATCH
/
v2
/
clients
/
{id}
Update a customer
curl --request PATCH \
  --url https://app.tarefy.com/nodeapi/v2/clients/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "email": "jsmith@example.com",
  "website": "<string>",
  "tax_id": "<string>",
  "cpf": "<string>",
  "address": "<string>",
  "phone": "<string>",
  "description": "<string>",
  "logo_url": "<string>"
}
'
import requests

url = "https://app.tarefy.com/nodeapi/v2/clients/{id}"

payload = {
"name": "<string>",
"email": "jsmith@example.com",
"website": "<string>",
"tax_id": "<string>",
"cpf": "<string>",
"address": "<string>",
"phone": "<string>",
"description": "<string>",
"logo_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
website: '<string>',
tax_id: '<string>',
cpf: '<string>',
address: '<string>',
phone: '<string>',
description: '<string>',
logo_url: '<string>'
})
};

fetch('https://app.tarefy.com/nodeapi/v2/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "name": "<string>",
  "email": "<string>",
  "website": "<string>",
  "tax_id": "<string>",
  "address": "<string>",
  "phone": "<string>",
  "description": "<string>",
  "logo_url": "<string>",
  "is_active": true,
  "manager_id": 123,
  "tenant_id": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

Body

application/json
name
string | null
email
string<email> | null
website
string | null
tax_id
string | null
cpf
string | null
tipo_pessoa
enum<string> | null
Available options:
PF,
PJ
address
string | null
phone
string | null
description
string | null
logo_url
string | null

Response

200 - application/json

Cliente atualizado com sucesso

id
integer
name
string
email
string | null
website
string | null
tax_id
string | null
address
string | null
phone
string | null
description
string | null
logo_url
string | null
is_active
boolean
manager_id
integer | null
tenant_id
integer